%global snapver 20050103
%global toolname radvd
%global momorel 1

Summary: USAGI IPv6 router advertisement daemon
Name: usagi-%{toolname}
Version: 0.7.1
Release: 0.%{snapver}.%{momorel}m
License: GPL
Group: System Environment/Daemons
Source0: ftp://ftp.linux-ipv6.org/pub/usagi/snap/split/usagi-tool-s%{snapver}.tar.bz2
NoSource: 0
Source1: radvd
Patch0: usagi-radvd-momonga.patch
URL: http://www.linux-ipv6.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
PreReq: chkconfig
BuildPreReq: autoconf
BuildPreReq: netatalk-devel

%description
USAGI IPv6 router advertisement daemon


%prep
%setup -q -n usagi
make prepare TARGET=linux26
%patch0 -p1
pushd usagi/%{toolname}
aclocal-1.4
autoheader-2.13
automake-1.4
autoconf-2.13
popd

%build
pushd usagi/%{toolname}
%configure
make
popd

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}
pushd usagi/%{toolname}
%makeinstall
install -m 644 radvd.conf.example %{buildroot}%{_sysconfdir}
popd

mkdir -p %{buildroot}%{_initscriptdir}
install -m 755 %{SOURCE1} %{buildroot}%{_initscriptdir}
%clean
rm -rf %{buildroot}

%post
/sbin/chkconfig --add %{toolname}

%preun
if [ $1 = 0 ]; then
    service %{toolname} stop >/dev/null 2>&1
    /sbin/chkconfig --del %{toolname}
fi


%files
%defattr(-,root,root)
%{_sysconfdir}/radvd.conf.example
%{_initscriptdir}/radvd
%{_sbindir}/radvd
%{_sbindir}/radvdump
%{_mandir}/man5/radvd.conf.5*
%{_mandir}/man8/radvd.8*
%{_mandir}/man8/radvdump.8*
%doc src/radvd/{CHANGES,COPYRIGHT,INTRO.html,README,TODO,VERSION}

%changelog
* Mon Jan 10 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-0.20050103.1m)
- update usagi-tools to 20050103
- change TARGET=linux24 to TARGET=linux26

* Fri Aug 29 2003 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.1-0.20030818.1m)
- update usagi-tools to 20030818

* Mon Aug 18 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-0.20030804.1m)
- update usagi-tools to 20030804

* Fri Mar 28 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-0.20030321.1m)
- update to usagi snap of 20030321
- back to Main

* Mon Jan 20 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-0.20030120.1m)
- update to usagi snap of 20030120

* Mon Jan 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-0.20030106.2m)
- remove -linet6

* Mon Jan 13 2003 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.7.1-0.20030106.1m)
- update to 20030106

* Thu Aug  8 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (0.0-0.020020805001m)
- update to 20020805 snap

* Mon Jun 17 2002 OZAWA -Crouton- Sakuro <crouton@weatherlight.org>
- (0.0-0.020020429004k)
- BuildPreReq: netatalk-devel.

* Sun May  5 2002 YAMAZAKI Makoto <zaki@kondara.org>
- (0.0-0.020020429002k)
- initial version
